local squareCollection = {}

function squareCollection:init(h, w)
    self.h = h
    self.h = h
    self.squares = {}
    self:setSquareSize()
end

function squareCollection:setSquareSize()
    self.sqrSz = math.min((love.graphics.getWidth())/(w + 5), (love.graphics.getHeight())/(h+2))
end

function squareCollection:add(x,y, color, symbol)
    if x < self.w and x > 0 and y < self.h and y > 0 then
        if not self.squares[x] then
            self.squares[x] = {}
        end
        self.squares[x][y].color = color
        self.squares[x][y].symbol = symbol
    end
end

function squareCollection:remove(x,y)
    if self.squares[x] then
        self.squares[x][y] = nil
    end
end

function squareCollection:draw()
    local x, y
    for xpos in pairs(self.squares) do
        for ypos in pairs(self.squares[xpos]) do
            x, y = toWorld2(xpos, ypos)
            love.graphics.setColor(self.squares[xpos][ypos].color)
            love.graphics.rectangle('fill', x, y, self.sqrSz, self.sqrSz)
            love.graphics.print(self.squares[xpos][ypos].symbol, x, y, self.sqrSz, self.sqrSz)
        end
    end
end

return squareCollection
